Bug 815761 - [abrt] remmina-1.0.0-1.fc17: crypto_cert_subject_alt_name: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-1.0.0-1.fc17: crypto_cert_subject_alt_name: Process /usr/bin/r...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:b7958feacd4f50d74b405bd5c20...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 09:14 EDT by Artur Flinta
Modified: 2013-07-31 18:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:36:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.90 KB, text/plain)
2012-04-24 09:15 EDT, Artur Flinta
no flags Details
File: maps (46.37 KB, text/plain)
2012-04-24 09:15 EDT, Artur Flinta
no flags Details
File: dso_list (9.49 KB, text/plain)
2012-04-24 09:15 EDT, Artur Flinta
no flags Details

  None (edit)
Description Artur Flinta 2012-04-24 09:14:54 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        remmina
comment:        Died when trying connect to RDP server (Windows 2008 R2)
crash_function: crypto_cert_subject_alt_name
executable:     /usr/bin/remmina
kernel:         3.3.2-8.fc17.x86_64
pid:            13050
pwd:            /home/aflinta
remote_result:  NOTFOUND
time:           wto, 24 kwi 2012, 15:07:30
uid:            1000
username:       aflinta
xsession_errors: abrt-applet: repeated problem in remmina-1.0.0-1.fc17, not showing the notification

backtrace:      Text file, 21400 bytes
dso_list:       Text file, 9719 bytes
maps:           Text file, 47483 bytes

build_ids:
:c39574737376b3a76ee8b1475cb53060d33067e1
:1dbc59b1822c62b577a27152bf087a12a49fe96e
:7024c532984148e2b555c6194ff684a6d0e80d78
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:7716bc5c1738194dad6ec6679d05ae3782139288
:7c35310fc506498c612d5d982ab03becc4b4817c
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:595dbb3bd5e1281cfdec39cda92fe433888ff8b4
:10818e21ba84b6897ec8d7ed3db9e94c71a12e41
:8f7c190397d7c1f617e66f18f759714662b60367
:ce103e8c6e450a927ee77036cdfeefd6885a5db4
:7daa21f309756eb7bf9be097b98052d5179d4599
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:f6d9ea27fe04480d687ceab6122e3e75d738811a
:f549a5d6de3e683d432a578595485e0051b7bc15
:822e9b3523e8312240f41a25722d539bc77ed436
:e40965ed990859627d77c03950e68d4367b48274
:5da8d295014010dcaf44014dbeb291b3026af3e7
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:8032681acfadb3c8b9e0a6e74cd58d8c36363450
:11d196ee9220c6039404f4ba675abf3a24d8f0aa
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:731b3801f71de6bd888953161b715e6cbda0ab60
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:5af84261b4d895c369f9e3910e3bf294923ac838
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:93393e62ec961d8310ce353cf3e5086b262cd7dc
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c
:6ec94e3467955ff9b3903918eafeddd8de7f9286
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:d2f6b6a2125b0c360462ce6b6b7de8144e351da1
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:87712be648d2d43ea4cd002fe7a859df636f1e13
:253afe744466fe7580bbb6040de6183dba9e2b02
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:08deea6f28314f7b1bbba69e81a25b9e48647b5f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:e9af151a65be208060d68e923986bf020f2f4828
:5cb8ab0bc6d840f348751a3f76f04bcb7d9df75b
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:4194f49481485f98de7853b6407338a4393171ac
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:2d920fc18d5d62c399484534249b104e12049777
:6f2ff4e6a028c4518c441caeb0f433bea79ac545
:be14a489c1a2016cf9767dbed295c619ea4f0629
:647c8183274c4626c81e86e7a631a81782a04e65
:8a58512c2cc89530f70932553442289158de3083
:749e0a5146f31516ca770a4c702ab89706b4f0a6
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:70f10a584fcf32ef4994cc1bc209964515ad49c9
:583038d51162de9433018478e5e0556eaf40ccc6
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:c764f66f405b66d2251a3d1f68432a530642574d
:404cbecd24d186758ed474b345313da28b2990fa
:3d841a234804f9de6d868a27973dfa5a7f7cc23e
:319cdef60fb38ea411fb398b608189e006d365e7
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:cb561771554f57263ee5c9fe3f49f7279ef278e2
:39b6416457511ecdce4ad1c49277eb1a8e385ac8
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0
:60d70ee1900bad08a21b2868ad6c89150d6b4fab
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:247132297f287226a24c12e683292f5c94013066
:a792afb1baadaa046b2e25f933e61544588652cc
:52507e2137a12692f1ab6807e247a8087d5e6b69
:20ad9f242a6a13d40812f9254ab3f7a9cd7cb9e0
:8568e11bef79abaf14513d18a8559282d8dad34a
:5cb52239c901fea9e4e3ba272e477c145de9fd04
:664ed02205756e404bd2c47242bfa068fe47d85d
:adb8cce623092da5c6812cf4e20b6f97e3ebd5b1
:480ab8eb1776770bb90f2a47cc2f0258848f1cdd
:b277af36744327e3d58eae76bcdaadcca71a28c6
:904362a4a9286a24a4c21e319bd88a154eb6e651
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:e3354959e32e471066df83c93f98f33e75198697
:508cf66f72e70054a41215f80ed2385c6bb80030
:4c2402f7eb14f500c9ea182af6e9d84305bf91cd
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:f0250c053d63459cee9fd1f69940067df1aa675a
:2a34337df68bcebcf471d5e3362ac137ffea4527
:646f3d66c56d94c666c91e02f3013123df1e5750
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:54a5cc118d928470da13565de8592b664a9868e0
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:4555444390434459edd5379df593b6d7382f86be
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/aflinta/2

core_backtrace:
:be14a489c1a2016cf9767dbed295c619ea4f0629 0x1d501 crypto_cert_subject_alt_name libfreerdp-core.so.1.0 -
:be14a489c1a2016cf9767dbed295c619ea4f0629 0x322be tls_verify_certificate libfreerdp-core.so.1.0 -
:be14a489c1a2016cf9767dbed295c619ea4f0629 0x1d8d9 credssp_get_public_key libfreerdp-core.so.1.0 -
:be14a489c1a2016cf9767dbed295c619ea4f0629 0x1e2f8 credssp_authenticate libfreerdp-core.so.1.0 -
:be14a489c1a2016cf9767dbed295c619ea4f0629 0x33c1a transport_connect_nla libfreerdp-core.so.1.0 -
:be14a489c1a2016cf9767dbed295c619ea4f0629 0x2eb59 rdp_client_connect libfreerdp-core.so.1.0 -
:be14a489c1a2016cf9767dbed295c619ea4f0629 0x2a414 freerdp_connect libfreerdp-core.so.1.0 -
:a792afb1baadaa046b2e25f933e61544588652cc 0x72dc - remmina-plugin-rdp.so -
:70f10a584fcf32ef4994cc1bc209964515ad49c9 0x7d14 start_thread libpthread.so.0 -
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0xf194d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=0708NOT01371
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/aflinta/keyring-AuPmad
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=aflinta
:USERNAME=aflinta
:MAIL=/var/spool/mail/aflinta
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/aflinta/.local/bin:/home/aflinta/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/aflinta
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1036
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/aflinta
:SHLVL=1
:LOGNAME=aflinta
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-K4q265M46t,guid=8935ea249717203e0634b6290000001e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/aflinta
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-aflinta-JdziDU/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1040,unix/unix:/tmp/.ICE-unix/1040
:GPG_AGENT_INFO=/run/user/aflinta/keyring-AuPmad/gpg:0:1
:SSH_AUTH_SOCK=/run/user/aflinta/keyring-AuPmad/ssh
:LC_TIME=pl_PL.utf8
:LC_NUMERIC=pl_PL.utf8
:LC_MONETARY=pl_PL.utf8
:LC_MEASUREMENT=pl_PL.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/remmina.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=13050

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31075                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31075                31075                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/aflinta/.xsession-errors
:pos:	222071
:flags:	0102002
:2:/home/aflinta/.xsession-errors
:pos:	222071
:flags:	0102002
:3:socket:[2073755]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[2073760]
:pos:	0
:flags:	02004002
:6:socket:[2073762]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:pipe:[2074104]
:pos:	0
:flags:	00
:11:pipe:[2074104]
:pos:	0
:flags:	01
:12:pipe:[2074105]
:pos:	0
:flags:	00
:13:pipe:[2074105]
:pos:	0
:flags:	01
:14:pipe:[2074106]
:pos:	0
:flags:	04000
:15:pipe:[2074106]
:pos:	0
:flags:	01
:16:socket:[2074110]
:pos:	0
:flags:	02
:17:/home/aflinta/.freerdp/known_hosts
:pos:	0
:flags:	0100002

smolt_data:
:
:
:General
:=================================
:UUID: 037d56ac-c84c-46ae-b5e8-8eac023d4492
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5187.76
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2540M CPU @ 2.60GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 2
:CPU Speed: 2601
:System Memory: 3903
:System Swap: 3812
:Vendor: Hewlett-Packard
:System: HP EliteBook 8560w A0001C02
:Form factor: Notebook
:Kernel: 3.3.2-8.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6523:9105:4156:5681) pci, None, BASE, Standard SD Host Controller
:(6523:9106:4156:5681) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7188:4156:5681) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7190:4156:5681) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4156:5681) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7247:4156:5681) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4098:26432:4156:5681) pci, radeon, VIDEO, Whistler XT [AMD Radeon HD 6700M Series]
:(32902:7198:4156:5681) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:4156:5681) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:4156:5681) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:4156:5681) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(4147:404:4156:5681) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7171:4156:5681) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:4156:5681) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:4156:5681) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4156:5681) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4156:5681) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4098:43664:4156:5681) pci, snd_hda_intel, MULTIMEDIA, N/A
:(32902:257:32902:8208) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 37934728 6104292 5724693 9494528 9204900 9204900
:/dev/sda1 /boot ext4 1024 1024 486685 405788 381291 122880 122594 122594
:

var_log_messages:
:Apr 24 15:07:01 0708NOT01371 yum[13028]: Installed: remmina-plugins-gnome-1.0.0-1.fc17.x86_64
:Apr 24 15:07:01 0708NOT01371 yum[13028]: Installed: remmina-plugins-rdp-1.0.0-1.fc17.x86_64
:Apr 24 15:07:30 0708NOT01371 kernel: [21931.274916] remmina[13054]: segfault at 0 ip 00007fd880ec7501 sp 00007fd877adca50 error 6 in libfreerdp-core.so.1.0.1[7fd880eaa000+48000]
:Apr 24 15:07:30 0708NOT01371 abrt[13055]: Saved core dump of pid 13050 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-04-24-15:07:30-13050 (31449088 bytes)
Comment 1 Artur Flinta 2012-04-24 09:15:09 EDT
Created attachment 579850 [details]
File: backtrace
Comment 2 Artur Flinta 2012-04-24 09:15:22 EDT
Created attachment 579851 [details]
File: maps
Comment 3 Artur Flinta 2012-04-24 09:15:25 EDT
Created attachment 579852 [details]
File: dso_list
Comment 4 Cornel Ahlers 2012-10-05 03:00:05 EDT
I tried to establish a rdp-connection via remmina. It crashes immediately and 100% reproducable.

backtrace_rating: 4
Package: remmina-1.0.0-4.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Artur Flinta 2013-01-24 05:32:11 EST
Just set up RDP connection, save it and launch. Then remmina crashed.

backtrace_rating: 4
Package: remmina-1.0.0-5.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 6 Fedora End Of Life 2013-07-03 17:29:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 18:36:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.